apply plugin: 'com.android.library'
apply plugin: 'kotlin-android'
apply from: '../libVersions.gradle'

android {
  compileSdkVersion versions.compileSdk

  defaultConfig {
    minSdkVersion versions.minSdk
    targetSdkVersion versions.compileSdk
  }

  sourceSets {
    main.res.srcDirs = [
            'src/main/res',
    ]
  }
  namespace 'com.pierfrancescosoffritti.androidyoutubeplayer'


  compileOptions {
    sourceCompatibility JavaVersion.VERSION_1_8
    targetCompatibility JavaVersion.VERSION_1_8
  }
  kotlinOptions {
    jvmTarget = '1.8'
  }

  buildTypes {
    release {
      minifyEnabled true
      proguardFiles getDefaultProguardFile('proguard-android-optimize.txt'), 'proguard-rules.pro'
    }
  }
}

dependencies {
  testImplementation "junit:junit:$versions.junit"
  androidTestImplementation "androidx.test:runner:$versions.runner"
  androidTestImplementation "androidx.test.espresso:espresso-core:$versions.espressoCore"

  api "androidx.lifecycle:lifecycle-runtime-ktx:$versions.androidxLifecycleRuntime"
}

